local function loadFolder(folder, file) 
	dofile(folder + '/' + file)
end

// based off rushchars file system
local filesToLoad = {
	{
		folder = "IO",
		files = {"IO.lua"}
	},
	{
		folder = "Main",
		files = {
			"Setup.lua",
			"XCell.lua",
			"Functions.lua",
			"Effects.lua",
			"Misc.lua",
			"Color.lua"
		}
	},
	{
		folder = "Main/Sonic",
		files = {
			"Main.lua",
			"Peelout.lua"
		}
	},
	{
		folder = "Main/Tails",
		files = {"Main.lua"}
	},
	{
		folder = "Main/Knuckles",
		files = {"Main.lua"}
	}
}

for _, fl in ipairs(filesToLoad)
	local folder = fl.folder
	
	for _, file in ipairs(fl.files)
		loadFolder(folder, file)
	end
end

//print("\x82"+"Welcome to the XCell!")
//print("\x87"+"Use \"xcellcommands\" in-game for a list of available commands.")