local frac = FRACUNIT

rawset(_G, "X_SpawnRingEffect", function(p) // ring effect for the last boost
	local ring = P_SpawnMobjFromMobj(p.mo, 0, 0, 0, MT_BRING)
	ring.angle = p.mo.angle + ANGLE_90
	ring.fuse = 7
	ring.scalespeed = frac/2
	ring.scale = 2*frac/3
	ring.destscale = 6*frac
	ring.color = p.mo.color
	ring.blendmode = AST_ADD
end)

rawset(_G, "X_SpawnThokTrail", function(p) // self explanatory
	local trail = P_SpawnMobjFromMobj(p.mo, 0, 0, -7*frac, MT_THOK)
	trail.color = p.mo.color
	trail.scalespeed = frac/6
	trail.destscale = frac/10
	trail.fuse = 7
	trail.blendmode = AST_ADD
end)

rawset(_G, "X_SpawnGhostTrail", function(p, scale, colorize)
	local ghost = P_SpawnGhostMobj(p.mo)
	ghost.z = p.mo.z
	ghost.fuse = 7
	ghost.scalespeed = frac/6
	ghost.scale = frac
	ghost.color = p.mo.color
	ghost.colorized = colorize
	ghost.destscale = frac-scale
end)

rawset(_G, "X_SpawnGhostTrailAdd", function(p, scale, colorize)
	local ghost = P_SpawnGhostMobj(p.mo)
	ghost.z = p.mo.z
	ghost.fuse = 7
	ghost.scalespeed = frac/6
	ghost.scale = frac
	ghost.color = p.mo.color
	ghost.colorized = colorize
	ghost.destscale = frac-scale
	ghost.blendmode = AST_ADD
end)

